package org.apache.stratum.xo.datamodel;

import java.util.Iterator;
import java.util.ArrayList;
import java.util.List;

public class Database 
{
    private static final String XML_HEADER =
            "<?xml version='1.0' encoding='ISO-8859-1' standalone='no' ?>"
            + "<!DOCTYPE database SYSTEM 'http://jakarta.apache.org/turbine/dtd/database.dtd'>";

    private String name;
    
    private String idMethod;
    
    private List tables = new ArrayList();
    
    public Database() {}
    
    public String getName()
    {
        return name;
    }
    
    public void setName(String name)
    {
        this.name=name;
    }
    
    public String getIdMethod()
    {	
        return idMethod;
    }
    
    public void setIdMethod(String idMethod)
    {
        this.idMethod=idMethod;
    }
        
        
    public void addTable(Table table)
    {
        tables.add(table);
    }	

    public List getTables()
    {
        return tables;
    }

    // Additions for PropertyUtils
    
    public void setTable(int index, Table table)
    {
        addTable(table);
    }        

    public Table getTable(int index)
    {
        return (Table) tables.get(index);
    }        
}
