package org.apache.stratum.xo.datamodel;

import java.util.Iterator;
import java.util.ArrayList;
import java.util.List;

public class Table 
{
    private String name;
    
    private List columns = new ArrayList();
    
    private List foreignKeys = new ArrayList();
    
    public Table() {}
    
    public String getName() 
    {
        return name;
    }
    
    public void setName(String name)
    {
        this.name=name;
    }
    
    public void addColumn(Column column)
    {
        columns.add(column);
    }
    
    public List getColumns()
    {
        return columns;
    }
    
    public void addForeignKey(ForeignKey foreignKey)
    {
        foreignKeys.add(foreignKey);
    }
    
    public List getForeignKeys()
    {
        return foreignKeys;
    }

    public Column getColumn(int index)
    {
        return (Column) columns.get(index);
    }        

    public ForeignKey getForeignKey(int index)
    {
        return (ForeignKey) foreignKeys.get(index);
    }        
}
